Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.taglibs.standard.lang.jstl
Class Expression

    java.lang.Object
      org.apache.taglibs.standard.lang.jstl.Expression

Direct Known Subclasses:
  BinaryOperatorExpression, ComplexValue, FunctionInvocation, Literal, NamedValue, UnaryOperatorExpression

    public abstract class Expression

extends Object

The abstract class from which all expression types derive.

Version:
  $Change: 181177 $$DateTime: 2001/06/26 08:45:09 $$Author: tcfujii $
Author:
  Nathan Abramson - Art Technology Group, Shawn Bayern

Constructor Summary
`Expression()`

Method Summary
`abstract Object` | `evaluate(Object pContext, VariableResolver pResolver, Map functions, String defaultPrefix, Logger pLogger)` Evaluates the expression in the given context
`abstract String` | `getExpressionString()` Returns the expression in the expression language syntax

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Expression

    public Expression()

Method Detail

### getExpressionString

    public abstract String getExpressionString()

  Returns the expression in the expression language syntax

### evaluate

    public abstract Object evaluate(Object pContext,
                                    VariableResolver pResolver,
                                    Map functions,
                                    String defaultPrefix,
                                    Logger pLogger)
                             throws ELException

  Evaluates the expression in the given context

  Throws:
    `ELException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007 Mort Bay Consulting. All Rights Reserved.